@import "src/theme/theme-variables";

.input-container {
  display: flex;
  flex-direction: column;

  & h5 {
    margin: 0;
    margin: 10px;
    font-size: 1rem;
    font-family: $font-family-num;
    color: theme-color("primary");
  }

  & mat-hint {
    font-family: $font-family;
  }

  & mat-error {
    font-family: $font-family;
  }

  &::ng-deep .mat-form-field-subscript-wrapper {
    margin-top: 0.2rem;
  }

  & .hint {
    padding: 0 3px !important;
  }

  & textarea {
    font-family: $font-family;
    height: 100%;
    padding-top: 8px;
  }

  & label {
    font-family: $font-family-num;
    color: theme-color("primary");
    font-size: 0.9rem;
    font-weight: 400;
    & span.validation-star {
      color: red;
    }

    & span.chosen {
      font-size: 0.7rem;
    }
  }
}

.text-area-box {
  ::ng-deep.mat-form-field-infix {
    padding: 1em 0 1em 0 !important;
  }
  ::ng-deep.mat-input-element {
    margin-bottom: 7.99716px;
    border-radius: 5px;
    border: 2px solid #bbbbbb;
    padding: 20px;
  }
  ::ng-deep.mat-input-element:focus {
    border: 2px solid theme-color(primary);
    transition: all linear 0.3s;
  }
  ::ng-deep.mat-form-field-outline {
    color: transparent !important;
    transition: all linear 0.3s;
  }
  ::ng-deep.mat-form-field-outline:hover {
    color: transparent !important;
    transition: all linear 0.3s;
  }
  ::ng-deep.mat-form-field-outline:focus {
    color: transparent !important;
    transition: all linear 0.3s;
  }
  ::ng-deep.mat-form-field-appearance-outline .mat-form-field-flex {
    padding-right: 0;
    padding-left: 45px;
  }
  & ::ng-deep.ng-invalid.ng-touched {
    ::ng-deep.mat-input-element {
      border: 2px solid red;
      transition: all linear 0.3s;
    }
  }
}
.geterror {
  position: absolute;
  top: 3px;
}
